Installation issues with ICP 1.3 with Comsol 5.2a

More
4 years 7 months ago #282 by Thomas
Dear ICP experts,

I'm currently having trouble installing ICP 1.3 for a new Comsol 5.2a (Update 3) installation on a Windows 10 (64 bit) box. A parallel/previous installation of Comsol 5.2 with ICP 1.2 seemed to work...
I'm using Java JRE 8 (jre1.8.0_112) (instead of jre1.8.0_074 as expected by the installer...). I started the installer as administrator and I could not see any error messages during installation. However, it seems the installer fails to put the file "iCP_Module.jar" in the "C:\Program Files\COMSOL\COMSOL52a\Multiphysics\plugins" directory... even when I explicitly remove file access restrictions for that folder...
Are these problems related to the parallel installation of several Comsol/ICP versions?
Is the "old" Java version jre1.8.0_074 strictly required? (It's actually not directly available from Oracle without some account...)
Is there a way to manually extract "iCP_Module.jar" from the ICP 1.3 installer? (I failed to extract the .exe file...)

Any hint would be appreciated. Thanks in advance!
Thomas

Please Log in or Create an account to join the conversation.

More
4 years 7 months ago #284 by david
Hi Thomas,

Since Comsol 5.2a introduces several changes, we don't have an iCP compatible version yet.
The latest compatible version is 5.2, so we recommend to use this version with iCP 1.3.

The iCP_Module.jar will be stored in YOUR_USER/.comsol/v52/archives/ during the installation, you can grab it from there if you need.

Any build of Java 1.7 or 1.8 should work with iCP but, as said before, won't work with Comsol 5.2a.

Best,
David
The following user(s) said Thank You: jalilpazhoohan, Thomas

Please Log in or Create an account to join the conversation.

Time to create page: 0.188 seconds
Powered by Kunena Forum